aboutsummaryrefslogtreecommitdiffstats
path: root/main/daq/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-02-27 12:38:40 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-02-27 12:48:10 +0000
commit4c46420a0abc060b268df8348c03250354947752 (patch)
tree1c3a84b95be375d3191287e154c6182edacc4391 /main/daq/APKBUILD
parent44de5cd6eb5974ce3d531474d12d3ba078a1d8f0 (diff)
downloadaports-4c46420a0abc060b268df8348c03250354947752.tar.gz
aports-4c46420a0abc060b268df8348c03250354947752.tar.bz2
aports-4c46420a0abc060b268df8348c03250354947752.tar.xz
main/daq: new aport
Data Acquisition library - packet I/O library http://www.snort.org/ needed by snort
Diffstat (limited to 'main/daq/APKBUILD')
-rw-r--r--main/daq/APKBUILD43
1 files changed, 43 insertions, 0 deletions
diff --git a/main/daq/APKBUILD b/main/daq/APKBUILD
new file mode 100644
index 0000000000..674b143ed1
--- /dev/null
+++ b/main/daq/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=daq
+pkgver=0.5
+pkgrel=0
+pkgdesc="Data Acquisition library - packet I/O library"
+url="http://www.snort.org/"
+arch="all"
+license="GPL-2"
+depends=
+makedepends="libpcap-dev flex bison"
+install=""
+subpackages="$pkgname-dev"
+source="http://www.snort.org/dl/snort-current/daq-$pkgver.tar.gz"
+
+_builddir="$srcdir"/daq-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="ea9d8147f39c44ce00dd2d7eb19ce0ea daq-0.5.tar.gz"